function EnemyManager:add_magazine(magazine, collision)
	local max_magazines = math.round(MagDropFixes.Options:GetValue("MagDropLimit")) or 30
	self._magazines = self._magazines or {}

	table.insert(self._magazines, {
		magazine,
		collision
	})

	if max_magazines < #self._magazines then
		self:cleanup_magazines()
	end
end

function EnemyManager:cleanup_magazines()
	local max_magazines = math.round(MagDropFixes.Options:GetValue("MagDropLimit")) or 30
	for i = 1, #self._magazines - max_magazines, 1 do
		for _, unit in ipairs(self._magazines[1]) do
			if alive(unit) then
				unit:set_slot(0)
			end
		end

		table.remove(self._magazines, 1)
	end
end